<!doctype html>

<!--[if lt IE 7]><html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8 lt-ie7"><![endif]-->
<!--[if (IE 7)&!(IEMobile)]><html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8"><![endif]-->
<!--[if (IE 8)&!(IEMobile)]><html <?php language_attributes(); ?> class="no-js lt-ie9"><![endif]-->
<!--[if gt IE 8]><!--> <html <?php language_attributes(); ?> class="no-js"><!--<![endif]-->

	<head>
		<meta charset="utf-8">

		<?php // force Internet Explorer to use the latest rendering engine available ?>
		<meta http-equiv="X-UA-Compatible" content="IE=edge">

		<title><?php wp_title(''); ?></title>

		<?php // mobile meta (hooray!) ?>
		<meta name="HandheldFriendly" content="True">
		<meta name="MobileOptimized" content="320">
		<meta name="viewport" content="width=device-width, initial-scale=1.0"/>
		
		<?php if ( get_theme_mod( 'omgtheme_favicon' ) ) : ?>
		<link rel="icon" href="<?php echo esc_url( get_theme_mod( 'omgtheme_favicon' ) ); ?>">
		<?php endif; ?>
		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
		<link rel="stylesheet" href="<?php echo get_stylesheet_uri(); ?>">

		<?php if(is_user_logged_in()){ ?> <style>#main-navigation{top: 30px!important;}</style> <?php }  // wordpress head functions ?>
		<?php wp_head(); ?>
		<?php // end of wordpress head ?>

		<?php // drop Google Analytics Here ?>
		<?php // end analytics ?>

	</head>

	<body <?php body_class(); ?> style="position:relative;overflow-x:hidden">

		<div id="container">

			<header class="header" role="banner">
				<div id="inner-header" class="wrap cf">
					<div id="main-navigation">
			            <div id="close"><span class="fa fa-times"></span> Close</div>
			            <div class="clear"></div>
				        <div class="social-icons">
			            <?php if ( get_theme_mod( 'omgtheme_facebook' ) ) : ?>
			            <a href="<?php echo esc_url( get_theme_mod( 'omgtheme_facebook' ) ); ?>" class="social-fb" title="<?php echo esc_url( get_theme_mod( 'omgtheme_facebook' ) ); ?>" target="_blank"><i class="fa fa-facebook"></i></a>
			            <?php endif; ?>
			            
			            <?php if ( get_theme_mod( 'omgtheme_twitter' ) ) : ?>
			            <a href="<?php echo esc_url( get_theme_mod( 'omgtheme_twitter' ) ); ?>" class="social-tw" title="<?php echo esc_url( get_theme_mod( 'omgtheme_twitter' ) ); ?>" target="_blank"><i class="fa fa-twitter"></i></a>
			            <?php endif; ?>
						
			            <?php if ( get_theme_mod( 'omgtheme_google' ) ) : ?>
			            <a href="<?php echo esc_url( get_theme_mod( 'omgtheme_google' ) ); ?>" class="social-gp" title="<?php echo esc_url( get_theme_mod( 'omgtheme_google' ) ); ?>" target="_blank"><i class="fa fa-google-plus"></i> </a>
			            <?php endif; ?>
			            
			            <?php if ( get_theme_mod( 'omgtheme_pinterest' ) ) : ?>
			            <a href="<?php echo esc_url( get_theme_mod( 'omgtheme_pinterest' ) ); ?>" class="social-pi" title="<?php echo esc_url( get_theme_mod( 'omgtheme_pinterest' ) ); ?>" target="_blank"><i class="fa fa-pinterest"></i></a>
			            <?php endif; ?>
			            
			            <?php if ( get_theme_mod( 'omgtheme_linkedin' ) ) : ?>
			            <a href="<?php echo esc_url( get_theme_mod( 'omgtheme_linkedin' ) ); ?>" class="social-li" title="<?php echo esc_url( get_theme_mod( 'omgtheme_linkedin' ) ); ?>" target="_blank"><i class="fa fa-linkedin"></i> </a>
			            <?php endif; ?>
			            
						<?php if ( get_theme_mod( 'omgtheme_youtube' ) ) : ?>
			            <a href="<?php echo esc_url( get_theme_mod( 'omgtheme_youtube' ) ); ?>" class="social-yt" title="<?php echo esc_url( get_theme_mod( 'omgtheme_youtube' ) ); ?>" target="_blank"><i class="fa fa-youtube"></i> </a>
			            <?php endif; ?>
			            
			            <?php if ( get_theme_mod( 'omgtheme_tumblr' ) ) : ?>
			            <a href="<?php echo esc_url( get_theme_mod( 'omgtheme_tumblr' ) ); ?>" class="social-tu" title="<?php echo esc_url( get_theme_mod( 'omgtheme_tumblr' ) ); ?>" target="_blank"><i class="fa fa-tumblr"></i> </a>
			            <?php endif; ?>
			            
			            <?php if ( get_theme_mod( 'omgtheme_instagram' ) ) : ?>
			            <a href="<?php echo esc_url( get_theme_mod( 'omgtheme_instagram' ) ); ?>" class="social-in" title="<?php echo esc_url( get_theme_mod( 'omgtheme_instagram' ) ); ?>" target="_blank"><i class="fa fa-instagram"></i> </a>
			            <?php endif; ?>
			            
			            <?php if ( get_theme_mod( 'omgtheme_flickr' ) ) : ?>
			            <a href="<?php echo esc_url( get_theme_mod( 'omgtheme_flickr' ) ); ?>" class="social-fl" title="<?php echo esc_url( get_theme_mod( 'omgtheme_flickr' ) ); ?>" target="_blank"><i class="fa fa-flickr"></i> </a>
			            <?php endif; ?>
			            
			            <?php if ( get_theme_mod( 'omgtheme_vimeo' ) ) : ?>
			            <a href="<?php echo esc_url( get_theme_mod( 'omgtheme_vimeo' ) ); ?>" class="social-vi" title="<?php echo esc_url( get_theme_mod( 'omgtheme_vimeo' ) ); ?>" target="_blank"><i class="fa fa-vimeo-square"></i> </a>
			            <?php endif; ?>
			            
			            <?php if ( get_theme_mod( 'omgtheme_rss' ) ) : ?>
			            <a href="<?php echo esc_url( get_theme_mod( 'omgtheme_rss' ) ); ?>" class="social-rs" title="<?php echo esc_url( get_theme_mod( 'omgtheme_rss' ) ); ?>" target="_blank"><i class="fa fa-rss"></i></a>
			            <?php endif; ?>
			            
			            <?php if ( get_theme_mod( 'omgtheme_email' ) ) : ?>
			            <a href="<?php _e('mailto:', 'OMG'); echo sanitize_email( get_theme_mod( 'omgtheme_email' ) ); ?>" class="social-em" title="<?php _e('mailto:', 'OMG'); echo sanitize_email( get_theme_mod( 'omgtheme_email' ) ); ?>"><i class="fa fa-envelope"></i></a>
			            <?php endif; ?>
	                	</div> 

			            <?php if ( is_active_sidebar( 'sidebar3' ) ) : ?>

						<?php dynamic_sidebar( 'sidebar3' ); ?>

						<?php else : ?>

						<?php
							/*
							 * This content shows up if there are no widgets defined in the backend.
							*/
						?>

						<div class="no-menu-widgets">
							<p><?php _e( 'This is a widget ready area. Add some and they will appear here.', 'omgtheme' );  ?></p>
						</div>

					<?php endif; ?>
						<div class="margin-bottom"></div>
        			</div>
					<div class="side-nav" id="push"><span class="fa fa-bars"></span></div>
					<?php if ( get_theme_mod( 'omgtheme_logo' ) ) : ?>
					<p id="logo" class="h1"><a href="<?php echo home_url(); ?>" rel="nofollow" style="width:300px;margin:0 auto;display:block;"><img src="<?php echo esc_url( get_theme_mod( 'omgtheme_logo' ) ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" /></a></p>
					 <?php else : ?>
					<p id="logo" class="h1"><a href="<?php echo home_url(); ?>" rel="nofollow"><?php bloginfo('name'); ?></a></p>
					<?php endif; ?>
					<div class="search-bar">
                    <form role="search" method="get" class="search-form" action="<?php echo home_url( '/' ); ?>">
					    <label>
					        <input type="search" class="search-field fa fa-search" placeholder="Search" value="" name="s" title="Search for:" />
					    </label>
    					<input type="submit" class="search-submit" value="Search" />
					</form>
                	</div> 

				</div>

			</header>
